# Interface IAlignmentFrameOptions

#### Hierarchy

- IBaseFrameOptions
  - IAlignmentFrameOptions

- Defined in src/file/paragraph/frame/frame-properties.ts:52

#####
Index

### Properties

alignment
anchor
anchorLock?
dropCap?
height
lines?
rule?
space?
width
wrap?

## Properties

### `Readonly` alignment

alignment: {
x: HorizontalPositionAlign;
y: VerticalPositionAlign;
}

#### Type declaration

- ##### `Readonly` x: HorizontalPositionAlign

- ##### `Readonly` y: VerticalPositionAlign

- Defined in src/file/paragraph/frame/frame-properties.ts:53

### `Readonly` anchor

anchor: {
horizontal: FrameAnchorType;
vertical: FrameAnchorType;
}

#### Type declaration

- ##### `Readonly` horizontal: FrameAnchorType

- ##### `Readonly` vertical: FrameAnchorType

Inherited from IBaseFrameOptions.anchor

- Defined in src/file/paragraph/frame/frame-properties.ts:34

### `Optional` `Readonly` anchorLock

anchorLock?: boolean

Inherited from IBaseFrameOptions.anchorLock

- Defined in src/file/paragraph/frame/frame-properties.ts:28

### `Optional` `Readonly` dropCap

dropCap?: DropCapType

Inherited from IBaseFrameOptions.dropCap

- Defined in src/file/paragraph/frame/frame-properties.ts:29

### `Readonly` height

height: number

Inherited from IBaseFrameOptions.height

- Defined in src/file/paragraph/frame/frame-properties.ts:31

### `Optional` `Readonly` lines

lines?: number

Inherited from IBaseFrameOptions.lines

- Defined in src/file/paragraph/frame/frame-properties.ts:33

### `Optional` `Readonly` rule

rule?: HeightRule

Inherited from IBaseFrameOptions.rule

- Defined in src/file/paragraph/frame/frame-properties.ts:42

### `Optional` `Readonly` space

space?: {
horizontal: number;
vertical: number;
}

#### Type declaration

- ##### `Readonly` horizontal: number

- ##### `Readonly` vertical: number

Inherited from IBaseFrameOptions.space

- Defined in src/file/paragraph/frame/frame-properties.ts:38

### `Readonly` width

width: number

Inherited from IBaseFrameOptions.width

- Defined in src/file/paragraph/frame/frame-properties.ts:30

### `Optional` `Readonly` wrap

wrap?: FrameWrap

Inherited from IBaseFrameOptions.wrap

- Defined in src/file/paragraph/frame/frame-properties.ts:32

Generated using TypeDoc